Package uk.ac.starlink.vo

## Class ResolverException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - uk.ac.starlink.vo.ResolverException

-     public class ResolverException
      extends java.lang.Exception

  Exception thrown when an object cannot be resolved by a name resolution service for some reason.
  Since:
    4 Feb 2005
  Author:
    Mark Taylor (Starlink)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResolverException​(java.lang.String msg)` |
    `ResolverException​(java.lang.String msg, java.lang.Throwable e)` |
    `ResolverException​(java.lang.Throwable e)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### ResolverException

          public ResolverException​(java.lang.String msg)

    - #### ResolverException

          public ResolverException​(java.lang.String msg,
                                   java.lang.Throwable e)

    - #### ResolverException

          public ResolverException​(java.lang.Throwable e)

Copyright © 2018 Central Laboratory of the Research Councils. All Rights Reserved.